#Region "Copyright Syncfusion Inc. 2001 - 2005"
'
'  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  licensing@syncfusion.com. Any infringement will be prosecuted under
'  applicable laws. 
'
#End Region


Imports Microsoft.VisualBasic
Imports System
Imports System.Drawing
Imports System.Drawing.Imaging
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports Syncfusion.XlsIO

Namespace EssentialXlsIOSamples
	''' <summary>
	''' Summary description for Form1.
	''' </summary>
	Public Class Form1 : Inherits System.Windows.Forms.Form
		Private WithEvents button1 As System.Windows.Forms.Button
		Private label1 As System.Windows.Forms.Label

		''' <summary>
		''' Required designer variable.
		''' </summary>
		Private components As System.ComponentModel.Container = Nothing

		Public Sub New()
			'
			' Required for Windows Form Designer support
			'
			InitializeComponent()
			'
			' TODO: Add any constructor code after InitializeComponent call
			'
		End Sub

		''' <summary>
		''' Clean up any resources being used.
		''' </summary>
		Protected Overrides Overloads Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				If Not components Is Nothing Then
					components.Dispose()
				End If
			End If
			MyBase.Dispose(disposing)
		End Sub

		#Region "Windows Form Designer generated code"
		''' <summary>
		''' Required method for Designer support - do not modify
		''' the contents of this method with the code editor.
		''' </summary>
		Private Sub InitializeComponent()
			Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(Form1))
			Me.button1 = New System.Windows.Forms.Button()
			Me.label1 = New System.Windows.Forms.Label()
			Me.SuspendLayout()
			' 
			' button1
			' 
			Me.button1.Anchor = (System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Right)
			Me.button1.FlatStyle = System.Windows.Forms.FlatStyle.Flat
			Me.button1.Image = (CType(resources.GetObject("button1.Image"), System.Drawing.Bitmap))
			Me.button1.ImageAlign = System.Drawing.ContentAlignment.MiddleRight
			Me.button1.Location = New System.Drawing.Point(464, 72)
			Me.button1.Name = "button1"
			Me.button1.TabIndex = 0
			Me.button1.Text = "XLS"
'			Me.button1.Click += New System.EventHandler(Me.button1_Click);
			' 
			' label1
			' 
			Me.label1.Anchor = ((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Left) Or System.Windows.Forms.AnchorStyles.Right)
			Me.label1.Font = New System.Drawing.Font("Verdana", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.label1.Name = "label1"
			Me.label1.Size = New System.Drawing.Size(544, 56)
			Me.label1.TabIndex = 1
			Me.label1.Text = "Clicking the button below will result in a new Excel spreadsheet being generated using Essential XlsIO.  At the end of the spreadsheet generation, an option will be provided to view the generated Excel file. Please note that you need to have an Excel viewer installed in order to view the generated Excel file."
			' 
			' Form1
			' 
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.ClientSize = New System.Drawing.Size(544, 102)
			Me.Controls.AddRange(New System.Windows.Forms.Control() { Me.label1, Me.button1})
			Me.Icon = (CType(resources.GetObject("$this.Icon"), System.Drawing.Icon))
			Me.Name = "Form1"
			Me.Text = "Essential XlsIO Sample"
			Me.ResumeLayout(False)

		End Sub
		#End Region

		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread> _
		Shared Sub Main()
			Application.Run(New Form1())
		End Sub

		Private Sub button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles button1.Click
			'New instance of XlsIO is created.[Equivalent to launching MS Excel with no workbooks open].
			'The instantiation process consists of two steps.

			'Step 1 : Instantiate the spreadsheet creation engine.
			Dim excelEngine As ExcelEngine = New ExcelEngine()
			'Step 2 : Instantiate the excel application object.
			Dim application As IApplication = excelEngine.Excel

			'Opening the Worksheet from Existing Workbook.
			Dim workbook As IWorkbook = application.Workbooks.Open("..\..\Opening.xls")


			'Saving the workbook to disk.
			workbook.SaveAs("Sample.xls")

			workbook.Close()
			'Message box confirmation to view the created spreadsheet.
			If MessageBox.Show ("Do you want to view the workbook?", "Workbook has been created", MessageBoxButtons.YesNo, MessageBoxIcon.Information) = DialogResult.Yes Then
				'Launching the Excel file using the default Application.[MS Excel Or Free ExcelViewer]
				System.Diagnostics.Process.Start("Sample.xls")
				'Exit
				Me.Close()
			Else
				' Exit
				Me.Close()
			End If

		End Sub

	End Class
End Namespace
